Index: /palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 565)
+++ /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 566)
@@ -25,5 +25,6 @@
       print("Neither the personal configuration file '.ncl.config' exists in")
       print("~/palm/current_version")
-      print("nor the default configuration file '.ncl.config.default' exists in")
+      print("nor the default configuration file '.ncl.config.default' "+\
+            "exists in")
       print(palm_bin_path + "/NCL")
       print(" ")
@@ -60,5 +61,8 @@
    end if
 
-   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm" .AND. format_out .NE. "png")then
+   if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND.   \
+       format_out .NE. "eps" .AND. format_out .NE. "ps" .AND.    \
+       format_out .NE. "epsi" .AND. format_out .NE. "ncgm" .AND. \
+       format_out .NE. "png")then
       print(" ")
       print("'format_out = "+format_out+"' is invalid and set to'x11'")
@@ -104,5 +108,6 @@
    if (start_f .EQ. -1)then
       print(" ")
-      print("'start_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print("'start_f' must be one of the cyclic numbers (at least 0) of "+\
+            "your input file(s)")
       print(" ")  
       exit
@@ -110,5 +115,6 @@
    if (end_f .EQ. -1)then
       print(" ")
-      print("'end_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print("'end_f' must be one of the cyclic numbers (at least 0) of "+\
+            "your input file(s)")
       print(" ")  
       exit
@@ -191,5 +197,7 @@
       if (start_time_step .GE. t_all(nt-1)/3600)
          print(" ")
-         print("'start_time_step' = "+ start_time_step +"h is equal or greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print("'start_time_step' = "+ start_time_step +\
+               "h is equal or greater than last time step = " + \
+               t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
          print("Select another 'start_time_step'")
@@ -199,5 +207,7 @@
       if (start_time_step .LT. t_all(0)/3600)
          print(" ")
-         print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print("'start_time_step' = "+ start_time_step +\
+               "h is lower than first time step = " + t_all(0)+"s = "+\
+               t_all(0)/3600+"h")
          print(" ")
          print("Select another 'start_time_step'")
@@ -207,10 +217,12 @@
    end if
    do i=0,nt-2     
-      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
+      if (start_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. \
+          start_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          st=i
          break
       end if
    end do
-   if (start_time_step .GE. t_all(nt-1)-delta_t/2 .AND. start_time_step .LT. t_all(nt-1)) then
+   if (start_time_step .GE. t_all(nt-1)-delta_t/2 .AND. \
+       start_time_step .LT. t_all(nt-1)) then
       st=nt-2   
    end if
@@ -233,5 +245,7 @@
       if (end_time_step .LE. t_all(0)/3600)
          print(" ")
-         print("'end_time_step' = "+end_time_step+ "h is lower or equal than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print("'end_time_step' = "+end_time_step+ \
+              "h is lower or equal than first time step = " + \
+               t_all(0)+"s = "+t_all(0)/3600+"h")
          print(" ")
          print("Select another 'end_time_step'")
@@ -241,5 +255,7 @@
       if (end_time_step .GT. t_all(nt-1)/3600)
          print(" ")
-         print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print("'end_time_step' = "+ end_time_step +\
+               "h is greater than last time step = " + t_all(nt-1)+"s = "+\
+               t_all(nt-1)/3600+"h")
          print(" ")
          print("Select another 'end_time_step'")  
@@ -249,5 +265,7 @@
       if (end_time_step .LE. start_time_step/3600)
          print(" ")
-         print("'end_time_step' = "+ end_time_step +"h is equal or lower than 'start_time_step' = "+start_time_step+"h")
+         print("'end_time_step' = "+ end_time_step +\
+               "h is equal or lower than 'start_time_step' = "+\
+               start_time_step+"h")
          print(" ")
          print("Select another 'start_time_step' or 'end_time_step'")
@@ -257,5 +275,6 @@
    end if
    do i=0,nt-1     
-      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
+      if (end_time_step .GE. (t_all(i)-delta_t/2)/3600 .AND. \
+          end_time_step .LT. (t_all(i)+delta_t/2)/3600)then
          et=i
          break
@@ -278,6 +297,8 @@
 
    print(" ")
-   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+t_all(start_time_step)+" s => index = "+start_time_step)
-   print("                     till "+t_all(end_time_step)/3600+" h = "+t_all(end_time_step)+" s => index = "+end_time_step)
+   print("Output of time steps from "+t_all(start_time_step)/3600+" h = "+\
+         t_all(start_time_step)+" s => index = "+start_time_step)
+   print("                     till "+t_all(end_time_step)/3600+" h = "+\
+         t_all(end_time_step)+" s => index = "+end_time_step)
    print(" ")
 
@@ -300,4 +321,6 @@
    res@tmYLLabelFont           = "helvetica" 
    res@xyLineColors            = (/237/) 
+   res@trXMaxF                 = t_all(start_time_step)
+   res@trXMinF                 = t_all(end_time_step)
    
    res@lgLabelFontHeightF     = 0.02
@@ -405,5 +428,6 @@
 
       do j = 0, comma -2
-         vNam_temp(j) = charactertostring(var_char(indices(j)+1:indices(j+1)-1))
+         vNam_temp(j) = charactertostring(\
+                                   var_char(indices(j)+1:indices(j+1)-1))
       end do
      
@@ -458,5 +482,6 @@
             maxi(varn) = max(data(varn,:))
            
-            if (vNam(varn) .EQ. "E" .OR. vNam(varn) .EQ. "Es" .OR. vNam(varn) .EQ. "E*") then
+            if (vNam(varn) .EQ. "E" .OR. vNam(varn) .EQ. "Es" .OR. \
+                vNam(varn) .EQ. "E*") then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
@@ -497,5 +522,6 @@
             end if
 
-            if (vNam(varn) .EQ. "umax" .OR. vNam(varn) .EQ. "vmax" .OR. vNam(varn) .EQ. "wmax") then
+            if (vNam(varn) .EQ. "umax" .OR. vNam(varn) .EQ. "vmax" .OR. \
+                vNam(varn) .EQ. "wmax") then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (mini(varn) .EQ. 0)then
@@ -535,6 +561,7 @@
             end if
 
-            if (vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "wpt"\
-               .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq+"0" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq ) then
+            if (vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "wpptp" .OR. \
+                vNam(varn) .EQ. "wpt" .OR. vNam(varn) .EQ. \
+                "w"+dq+"pt"+dq+"0" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq ) then
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
@@ -581,5 +608,6 @@
   if (isStrSubset(data@long_name," SR " ))then
       print(" ")
-      print("If you have outputs of statistic regions you cannot overlay variables;")
+      print("If you have outputs of statistic regions you cannot overlay "+\
+            "variables;")
       print("'over' is set to 0" )
       print(" ")
@@ -690,5 +718,6 @@
             end if
 
-            if (vNam(varn) .EQ. "wpptp0" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq+"0" )
+            if (vNam(varn) .EQ. "wpptp0" .OR. \
+                vNam(varn) .EQ. "w"+dq+"pt"+dq+"0" )
                w0=0
                res@xyLineColors            = (/237/)
@@ -759,5 +788,5 @@
 
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -777,5 +806,6 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)            
             end if
-            if ((vNam(varn) .EQ. "Es" .OR. vNam(varn) .EQ. "E*") .AND. E .NE. 1) then
+            if ((vNam(varn) .EQ. "Es" .OR. vNam(varn) .EQ. "E*") .AND. \
+                E .NE. 1) then
                Es=1
                overlay(plot_E,plot_Es)
@@ -784,5 +814,5 @@
 
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -803,5 +833,6 @@
             end if
 
-            if ((vNam(varn) .EQ. "us" .OR. vNam(varn) .EQ. "u*") .AND. ws .NE. 1) then
+            if ((vNam(varn) .EQ. "us" .OR. vNam(varn) .EQ. "u*") .AND. \
+                 ws .NE. 1) then
                us=1
                overlay(plot_us,plot_ws)
@@ -810,5 +841,5 @@
 
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -828,5 +859,6 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if
-            if ((vNam(varn) .EQ. "ws" .OR. vNam(varn) .EQ. "w*") .AND. us .NE. 1) then
+            if ((vNam(varn) .EQ. "ws" .OR. vNam(varn) .EQ. "w*") .AND. \
+                 us .NE. 1) then
                ws=1
                overlay(plot_us,plot_ws)
@@ -835,5 +867,5 @@
 
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid  plot
                ; ***************************************************
       
@@ -864,5 +896,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -875,5 +907,6 @@
                   lgres@lgDashIndexes      = (/0,0,0/)
                   lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"umax","vmax","wmax"/),lgres)       
+                  lbid = gsn_create_legend(\
+                                  wks_ps,3,(/"umax","vmax","wmax"/),lgres)
 
                   amres = True
@@ -892,5 +925,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -903,6 +936,6 @@
                   lgres@lgDashIndexes      = (/0,0,0/)
                   lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"umax","vmax","wmax"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                                      wks_ps,3,(/"umax","vmax","wmax"/),lgres)
                   amres = True
                   amres@amParallelPosF   = 0.6		    
@@ -920,5 +953,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -931,6 +964,6 @@
                   lgres@lgDashIndexes      = (/0,0,0/)
                   lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"umax","vmax","wmax"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                                       wks_ps,3,(/"umax","vmax","wmax"/),lgres)
                   amres = True
                   amres@amParallelPosF   = 0.6		    
@@ -947,5 +980,5 @@
        
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -958,5 +991,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"z_i_wpt","z_i_pt"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"z_i_wpt","z_i_pt"/),lgres)
 
                amres = True
@@ -972,5 +1005,5 @@
 
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -983,5 +1016,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"z_i_wpt","z_i_pt"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"z_i_wpt","z_i_pt"/),lgres) 
 
                amres = True
@@ -1000,5 +1033,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -1011,6 +1044,6 @@
                   lgres@lgDashIndexes      = (/0,0,0/)
                   lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                                    wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)
                   amres = True
                   amres@amParallelPosF   = 0.6		    
@@ -1019,5 +1052,6 @@
                end if            
             end if
-            if ((vNam(varn) .EQ. "wpptp" .OR. vNam(varn) .EQ. "w"+dq+"pt"+dq) .AND. w0 .NE. 1)
+            if ((vNam(varn) .EQ. "wpptp" .OR. \
+                 vNam(varn) .EQ. "w"+dq+"pt"+dq) .AND. w0 .NE. 1)
                if (wt .NE. 1) then
                  wp=1
@@ -1028,5 +1062,5 @@
                  
                  ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -1039,5 +1073,6 @@
                   lgres@lgDashIndexes      = (/0,0,0/)
                   lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)       
+                  lbid = gsn_create_legend(\
+                                     wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)
 
                   amres = True
@@ -1056,5 +1091,5 @@
 
                   ; ***************************************************
-                  ; legend for combined plot
+                  ; legend for overlaid plot
                   ; ***************************************************
       
@@ -1067,6 +1102,6 @@
                   lgres@lgDashIndexes      = (/0,0,0/)
                   lgres@lgLineColors       = (/237,144,80/)
-                  lbid = gsn_create_legend(wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)       
-
+                  lbid = gsn_create_legend(\
+                                  wks_ps,3,(/"wpptp0","wpptp","wpt"/),lgres)
                   amres = True
                   amres@amParallelPosF   = 0.6		    
@@ -1076,5 +1111,6 @@
             end if
 
-            if ((vNam(varn) .EQ. "pt_0_" .OR. vNam(varn) .EQ. "pt(0)") .AND. pz .NE. 1) then
+            if ((vNam(varn) .EQ. "pt_0_" .OR. vNam(varn) .EQ. "pt(0)") .AND. \
+                pz .NE. 1) then
                p=1      
                overlay(plot_pt_0_,plot_pt_zp_)
@@ -1083,5 +1119,5 @@
       
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -1094,5 +1130,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"pt_0_","pt_zp_"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"pt_0_","pt_zp_"/),lgres)
 
                amres = True
@@ -1101,5 +1137,6 @@
                annoid1 = gsn_add_annotation(plot_ps(n),lbid,amres)
             end if 
-            if ((vNam(varn) .EQ. "pt_zp_" .OR. vNam(varn) .EQ. "pt(zp)") .AND. p .NE. 1) then
+            if ((vNam(varn) .EQ. "pt_zp_" .OR. vNam(varn) .EQ. "pt(zp)") .AND.\
+                 p .NE. 1) then
                pz=1        
                overlay(plot_pt_0_,plot_pt_zp_)
@@ -1108,5 +1145,5 @@
 
                ; ***************************************************
-               ; legend for combined plot
+               ; legend for overlaid plot
                ; ***************************************************
       
@@ -1119,5 +1156,5 @@
                lgres@lgDashIndexes      = (/0,0,0/)
                lgres@lgLineColors       = (/237,144,80/)
-               lbid = gsn_create_legend(wks_ps,2,(/"pt_0_","pt_zp_"/),lgres)       
+               lbid = gsn_create_legend(wks_ps,2,(/"pt_0_","pt_zp_"/),lgres)
 
                amres = True
@@ -1128,13 +1165,15 @@
 
             if(vNam(varn) .NE. "pt_zp_" .AND. vNam(varn) .NE. "pt(zp)" .AND. \
-               vNam(varn) .NE. "pt_0_" .AND. vNam(varn) .NE. "pt(0)" .AND. \
-               vNam(varn) .NE. "wpt" .AND. vNam(varn) .NE. "wpptp" .AND. \
-               vNam(varn) .NE. "w"+dq+"pt"+dq .AND. vNam(varn) .NE. "wpptp0" .AND. \
-               vNam(varn) .NE. "w"+dq+"pt"+dq+"0" .AND. vNam(varn) .NE. "z_i_pt" .AND.\
-               vNam(varn) .NE. "z_i_wpt" .AND. vNam(varn) .NE. "wmax" .AND. \
-               vNam(varn) .NE. "vmax" .AND. vNam(varn) .NE. "umax" .AND. \
-               vNam(varn) .NE. "ws" .AND. vNam(varn) .NE. "w*" .AND.  \
-               vNam(varn) .NE. "us" .AND. vNam(varn) .NE. "u*" .AND. \
-               vNam(varn) .NE. "Es" .AND. vNam(varn) .NE. "E*" .AND. \
+               vNam(varn) .NE. "pt_0_" .AND. vNam(varn) .NE. "pt(0)" .AND.   \
+               vNam(varn) .NE. "wpt" .AND. vNam(varn) .NE. "wpptp" .AND.     \
+               vNam(varn) .NE. "w"+dq+"pt"+dq .AND.                          \
+               vNam(varn) .NE. "wpptp0" .AND.                                \
+               vNam(varn) .NE. "w"+dq+"pt"+dq+"0" .AND.                      \
+               vNam(varn) .NE. "z_i_pt" .AND.                                \
+               vNam(varn) .NE. "z_i_wpt" .AND. vNam(varn) .NE. "wmax" .AND.  \
+               vNam(varn) .NE. "vmax" .AND. vNam(varn) .NE. "umax" .AND.     \
+               vNam(varn) .NE. "ws" .AND. vNam(varn) .NE. "w*" .AND.         \
+               vNam(varn) .NE. "us" .AND. vNam(varn) .NE. "u*" .AND.         \
+               vNam(varn) .NE. "Es" .AND. vNam(varn) .NE. "E*" .AND.         \
                vNam(varn) .NE. "E") then
 
@@ -1230,5 +1269,6 @@
    no_frames = 0
  
-   if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. n .gt. no_rows*no_columns) then
+   if ((format_out .EQ. "eps" .OR. format_out .EQ. "epsi") .AND. \
+        n .gt. no_rows*no_columns) then
       gsn_panel(wks_ps,plot_ps(1:n),(/n,1/),resP)
       print(" ")
@@ -1241,5 +1281,6 @@
             no_frames = no_frames + 1            
          else
-            gsn_panel(wks_ps, plot_ps(np:np+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
+            gsn_panel(wks_ps, plot_ps(np:np+no_rows*no_columns-1),\
+                                                   (/no_rows,no_columns/),resP)
             no_frames = no_frames + 1
          end if
Index: /palm/trunk/SCRIPTS/palmplot
===================================================================
--- /palm/trunk/SCRIPTS/palmplot	(revision 565)
+++ /palm/trunk/SCRIPTS/palmplot	(revision 566)
@@ -14,4 +14,6 @@
     # 01/04/10 - Rieke - bugfix - treatment of special character *
     #                    in NCL variables containing lists corrected
+    # 23/08/10 - Rieke - bugfix - "" had to be added in if-queries 
+    # 30/09/10 - Rieke - Link to new online documentation of PALM NCL scripts
 
 
@@ -24,8 +26,9 @@
      printf "\n   script_identifier has to be one of the following:"
      printf "\n    xy, xz, yz, pr, ts, sp"
-     printf "\n   in dependence of the data that wants to be plotted\n"
+     printf "\n   in dependence on the data that wants to be plotted\n"
      printf "\n   the further arguments control the plot"
      printf "\n   they can also be set in the configuration file .ncl.config"
-     printf "\n   a documentation is available at $PALM_BIN/\NCL\/UserGuide_for_NCLscripts.pdf\n\n")
+     printf "\n   a documentation is available at"
+     printf "\n   http://palm.muk.uni-hannover.de/wiki/doc/app/ncl \n\n")
      exit
  fi
